




<!-- NEWS.md was auto-generated by NEWS.Rmd. Please DO NOT edit by hand!-->

# Changes in version 0.9.20 (2022-07-14)

**This package version requires R \>= 4.1**

## Bugfixes and changes

### `analyse_Al2O3C_Measurement()`

-   Add support for sequences **without** TL curves in the sequence;
    however, the function still expects three OSL curves for natural,
    regenerated, and background signal.

### `merge_RLum.Data.Curve()`

-   The functions works better if curves of different lengths are
    merged, but it still throws an error if the resolution is not
    similar.

### `plot_RLum.Data.Curve()`

-   Add support for `...` arguments `las` and `axes`

### `plot_RLum.Data.Spectrum()`

-   The `plot.types = "single"` and `plot.type = "multiple.lines"` had
    two long-standing issues with the colour rug (both are fixed):

    -   The colour rug showed ugly overplotting,
    -   the colour rug had a resolution that depended on the x-axis
        (wavelength) scaling.

-   `plot.types = "single"` and `plot.type = "multiple.lines"` now
    support a `...` parameter `box` for removing the outer plot frame.
    The argument was named `box` to avoid a confusion with the term
    frames used for image stacks.

-   `plot.types = "single"` and `plot.type = "multiple.lines"` now
    support a `...` parameter `frames` for picking the frames to be
    visualised beyond the axis limitation.

### `plot_DRCSummary()`

-   The function did not know how to hand the output, if the fit was
    `LambertW`; added.
-   The function now roughly checks whether all curves have used the
    same equation for the fitting, if not it throws an error.
-   The `...` arguments allowed to modify the plot are now mentioned in
    the documentation.
-   The `...` are better recycled to avoid a function crash in case the
    user did not provide the arguments in the required length.

### `plot_GrowthCurve()`

-   The formula returned in the output if `fit.method = "LambertW"` was
    not correct; fixed. The fit and the fitting was not affected;
    though.

### `read_BIN2R()`

-   The example in the documentation was a little bit too generic and is
    now replaced by an example that works.

### `write_R2BIN()`

-   The running example was not working because it used outdated example
    data. The example was replaced by a working example using an actual
    BINX-file. (thanks @JohannesFriedrich for reporting, \#110)
-   The terminal output of the function could not be silenced. Now the
    output (except of the progress bar, which can be switched off) is a
    `message()`, allowing to disable the terminal output.

## Internals

-   Add new internal function `.add_fancy_log_axis()` to provide a more
    sophisticated log-axis to plots if needed with minor ticks and
    proper labelling.
-   Fix wrong usage of `class()` where needed
